List mass payments for customer - Dwolla Developer Portal

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/customers/{id}/mass-payments

cURL

GET https://api-sandbox.dwolla.com/customers/39e21228-5958-4c4f-96fe-48a4bf11332d/mass-payments
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl =
  "https://api-sandbox.dwolla.com/customers/ca32853c-48fa-40be-ae75-77b37504581b";

dwolla
  .get(`${customerUrl}/mass-payments`, { limit: 10 })
  .then((res) => res.body._embedded["mass-payments"][0].status); // => "complete"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api-sandbox.dwolla.com/customers/ca32853c-48fa-40be-ae75-77b37504581b'

mass_payments = app_token.get('%s/mass-payments' % customer_url)
mass_payments.body['_embedded']['mass-payments'][0]['status'] # => 'complete'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$customerUrl = 'http://api-sandbox.dwolla.com/customers/01B47CB2-52AC-42A7-926C-6F1F50B1F271';
$masspaymentsApi = new DwollaSwagger\MasspaymentsApi($apiClient);
$masspayments = $masspaymentsApi->getByCustomer($customerUrl);
$masspayments->_embedded->{'mass-payments'}[0]->status; // => "complete"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api-sandbox.dwolla.com/customers/ca32853c-48fa-40be-ae75-77b37504581b'

mass_payments = app_token.get "#{customer_url}/mass-payments", limit: 10
mass_payments._embedded['mass-payments'][0].status # => "complete"

Response

200

403

404

{
  "_links": {},
  "_embedded": {
    "mass-payments": [
      {
        "_links": {},
        "id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
        "status": "complete",
        "created": "2022-01-20T17:41:41.000Z",
        "metaData": {},
        "total": {
          "value": "5.00",
          "currency": "USD"
        },
        "totalFees": {
          "value": "5.00",
          "currency": "USD"
        },
        "correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
      }
    ]
  },
  "total": 100
}
{
  "code": "NotAuthorized",
  "message": "Not authorized to list mass payments."
}
{
  "code": "NotFound",
  "message": "Customer not found."
}

Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept

enum

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

application/vnd.dwolla.v1.hal+json

Path Parameters

id

string

required

Customer ID to get mass payments for

Query Parameters

correlationId

string

A string value to search on if correlationId was specified for a transaction

limit

integer

Number of search results to return. Defaults to 25

offset

integer

Number of search results to skip. Use for pagination

Response

200 application/vnd.dwolla.v1.hal+json successful operation